aboutsummaryrefslogtreecommitdiffstats
path: root/standalone-kernel/patch-kernel.sh
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2017-12-08 03:03:50 +0100
committerJason A. Donenfeld <Jason@zx2c4.com>2017-12-08 03:37:39 +0100
commit5c749c9a6f436b14b538b9355c20ef258cc43a37 (patch)
treeff4563f38da275fe6c76b1b71f25806d979ff84c /standalone-kernel/patch-kernel.sh
parentCheck for files in both locations (diff)
downloadandroid_kernel_wireguard-5c749c9a6f436b14b538b9355c20ef258cc43a37.tar.xz
android_kernel_wireguard-5c749c9a6f436b14b538b9355c20ef258cc43a37.zip
standalone-tools: specify srctree for out of tree builds
When the result directory is not the same as the source directory, shelling out to the script occurs at the wrong path. This fixes it by anchoring it to $(srctree). Suggested-by: Nathan Chancellor <natechancellor@gmail.com>
Diffstat (limited to '')
-rwxr-xr-xstandalone-kernel/patch-kernel.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/standalone-kernel/patch-kernel.sh b/standalone-kernel/patch-kernel.sh
index dfe45e7..e42ed6c 100755
--- a/standalone-kernel/patch-kernel.sh
+++ b/standalone-kernel/patch-kernel.sh
@@ -15,4 +15,4 @@ fi
cp fetch.sh "$K/scripts/fetch-latest-wireguard.sh"
chmod +x "$K/scripts/fetch-latest-wireguard.sh"
-[[ $(< "$K/scripts/Kbuild.include") == *fetch-latest-wireguard.sh* ]] || echo '$(shell scripts/fetch-latest-wireguard.sh)' >> "$K/scripts/Kbuild.include"
+[[ $(< "$K/scripts/Kbuild.include") == *fetch-latest-wireguard.sh* ]] || echo '$(shell cd "$(srctree)" && ./scripts/fetch-latest-wireguard.sh)' >> "$K/scripts/Kbuild.include"